Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163885 - crontab truncates file names greater than 100 characters.
Summary: crontab truncates file names greater than 100 characters.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vixie-cron
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jason Vas Dias
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On: 154575
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-07-21 19:34 UTC by Jason Vas Dias
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2005-361
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 12:35:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:361 qe-ready SHIPPED_LIVE Low: vixie-cron security update 2005-10-05 04:00:00 UTC

Description Jason Vas Dias 2005-07-21 19:34:38 UTC
+++ This bug was initially created as a clone of Bug #154575 +++

Description of problem:

crontab truncates file names greater than 100 characters.

Version-Release number of selected component (if applicable):

vixie-cron-3.0.1-75.1

How reproducible:

Consistently

Steps to Reproduce:
1. Create directory structure greater than 90 characters, for example: 'mkdir -p
/tmp/smartfilter_da_ifs_4.0.0.00_16_redhat_enterprise_i386/smartfilter_da_ifs_4.0.0.00_16_redhat_enterprise_i386/
2. Clone root crontab into new directory: 'crontab -l >
/tmp/smartfilter_da_ifs_4.0.0.00_8_redhat_enterprise_i386/smartfilter_da_ifs_4.0.0.00_8_redhat_enterprise_i386/test.crontab'
3. Attempt to install newly cloned crontab: 'crontab
/tmp/smartfilter_da_ifs_4.0.0.00_8_redhat_enterprise_i386/smartfilter_da_ifs_4.0.0.00_8_redhat_enterprise_i386/test.crontab'

  
Actual results:

crontab reports file not found: 

# crontab
/tmp/smartfilter_da_ifs_4.0.0.00_16_redhat_enterprise_i386/smartfilter_da_ifs_4.0.0.00_16_redhat_enterprise_i386/test.crontab

/tmp/smartfilter_da_ifs_4.0.0.00_16_redhat_enterprise_i386/smartfilter_da_ifs_4.0.0.00_16_redhat_ente:
No such file or directory

Expected results:

crontab accepts filenames greater than 100 characters.

Additional info:

In Red Hat Enterprise 4.0, this issue exists, however, crontab reports that the
filename is too long.

# crontab
/tmp/smartfilter_da_ifs_4.0.0.00_16_redhat_enterprise_i386/smartfilter_da_ifs_4.0.0.00_16_redhat_enterprise_i386/test.crontab

crontab: usage error: filename too long

Though it doesn't say how long by.

Comment 5 Red Hat Bugzilla 2005-10-05 12:35:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-361.html



Note You need to log in before you can comment on or make changes to this bug.